
footer {
	font-size: 0.813rem;
	width: calc(100% - 20px);
	margin: 0 10px;
	display: flex;
	flex-flow: row wrap;
	align-items: flex-start;
	border-top: var(--border);
	background: var(--005);
}
footer::before,
footer::after {
	content: " ";
	width: calc((100vw - 100%) / 2);
	height: calc(100% + 2px);
	position: absolute;	top: -1px;
	border-top: var(--border);
	background: inherit;
	z-index: -1;
}
footer::before {right: 100%;}
footer::after {left: 100%;}


footer > ul {
	padding: 20px;
	flex: 1 1 220px;
}

footer > ul::before {
	font-size: 1rem;
	font-weight: 600;
	position: relative;
	float: left;
	width: 100%;
	margin-bottom: 8px;
}

footer li {
	width: auto;
	margin: 2.5px 0;
	clear: left;
}

footer li::before {
	content: attr(title);
	position: relative;	float: left;
}

footer > ul:nth-last-child(-n + 3) {
	flex: 0 0 100%;
}

footer > ul:nth-last-child(-n + 3) li {
	margin: 0 2.5px;
	clear: unset;
}

footer > ul:nth-last-child(3) {
	padding: 20px 0;
	margin: 0 0 10px 0;
	border-top: var(--border);
	border-bottom: var(--border);
	display: flex;
	flex-flow: row wrap;
	align-items: center;
}
footer > ul:nth-last-child(3)::before,
footer > ul:nth-last-child(3)::after {
	content: " ";
	width: calc((100vw - 100%) / 2);
	height: calc(100% + 2px);
	position: absolute;	top: -1px;
	border-top: var(--border);
	border-bottom: var(--border);
	z-index: -1;
}
footer > ul:nth-last-child(3)::before {right: 100%;}
footer > ul:nth-last-child(3)::after {left: 100%;}


footer > ul:nth-last-child(-n + 2) {
	text-align: center;
	padding: 0;
	margin: 2.5px 0;
}

footer > ul:nth-last-child(1) {
	font-size: 0.75rem;
	margin: 2.5px 0 10px 0;
}

footer > ul:nth-last-child(-n + 2) li {
	float: none;
	display: inline-block;
	vertical-align: top;
	margin: 0 5px;
}

footer > ul[data-name="about-us"]::before{ content: "About Us"; }
footer > ul[data-name="careers"]::before{ content: "Careers"; }
footer > ul[data-name="services"]::before{ content: "Services"; }
footer > ul[data-name="community"]::before{ content: "Community"; }
footer > ul[data-name="contact-us"]::before{ content: "Contact Us"; }

footer > ul[data-name="socials"] li:nth-last-child(-n + 2) {
	margin: 0 0 0 auto;
}

footer > ul[data-name="socials"] li:last-child {
	margin: 0 0 0 10px;
}
footer > ul[data-name="socials"] li::before {
	font-family: "Font Awesome 6 Brands";
}

footer [data-name="copyright"] {
	position: relative;
	bottom: 0; left: 0;
	transform: unset;
}
footer [data-name="copyright"] [data-year="current"]::before {
	font-size: 0.875rem;
	margin: 0 3px 0 0;
}
